Merge "[RDKB: fix 6g ssid not seen by clients]"
diff --git a/recipes-wifi/hostapd/files/hostapd-init-EHT.sh b/recipes-wifi/hostapd/files/hostapd-init-EHT.sh
index 7651e04..340e16c 100644
--- a/recipes-wifi/hostapd/files/hostapd-init-EHT.sh
+++ b/recipes-wifi/hostapd/files/hostapd-init-EHT.sh
@@ -126,6 +126,15 @@
echo vht_capab=$vht_capab >> /etc/hostapd-5G.conf
}
+gen_he_6ghz_reg_pwr_type() {
+ local config_file="$1"
+
+ if grep -q "^country_code=US" "$config_file"; then
+ sed -i "/^he_6ghz_reg_pwr_type=.*/c\he_6ghz_reg_pwr_type=0" "$config_file"
+ grep -q "^he_6ghz_reg_pwr_type" "$config_file" || echo "he_6ghz_reg_pwr_type=0" >> "$config_file"
+ fi
+}
+
create_hostapdConf() {
devidx=0
phyidx=0
@@ -202,6 +211,7 @@
fi
if [ "$band" == "6g" ]; then
+ gen_he_6ghz_reg_pwr_type /etc/hostapd-6G.conf
cp -f /etc/hostapd-6G.conf /nvram/hostapd"$devidx".conf
fi